/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksendmessage.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.worksendmessage.entity.WorkSendMessage;

import java.util.List;

/**
 * 发文管理DAO接口
 * @author ssrh
 * @version 2018-07-12
 */
@MyBatisDao
public interface WorkSendMessageDao extends CrudDao<WorkSendMessage> {


    void updateProcessIdAndStatus(WorkSendMessage workSendMessage);

    List<Office> queryOfficeLists(WorkSendMessage workSendMessage);

    List<User> queryUserLists(WorkSendMessage workSendMessage);

    List<WorkSendMessage> queryMemberPage(WorkSendMessage workSendMessage);

    void updateStatusById(WorkSendMessage workSendMessage);
}